// Package redis ...
//
// Description : redis ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2022-06-15 11:52
package redis

import (
	"git.zhangdeman.cn/zhangdeman/logger"
)

// FullConfig 完整配置
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 12:23 2022/6/15
type FullConfig struct {
	Logger *logger.InputLogConfig `json:"logger" yaml:"logger"` // 日志配置
	Master *Config                `json:"master" yaml:"master"` // 主节点
	Slave  *Config                `json:"slave" yaml:"slave"`   // 从节点
}

// Config redis的配置
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 11:52 2022/6/15
type Config struct {
	Host          string  `yaml:"host" json:"host"`                     // 地址
	Port          int     `yaml:"port" json:"port"`                     // 端口
	DB            int     `yaml:"db" json:"db"`                         // db索引
	User          string  `json:"user" yaml:"user"`                     // 账号
	Password      string  `yaml:"password" json:"password"`             // 密码
	Timeout       Timeout `yaml:"timeout" json:"timeout"`               // 超时配置
	MaxConnection int     `json:"max_connection" yaml:"max_connection"` // 最大连接数
}

// Timeout 超时配置
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 12:19 2022/6/15
type Timeout struct {
	Connect int `yaml:"connect" json:"connect"` // 连接超时
	Read    int `yaml:"read" json:"read"`       // 读取超时
	Write   int `yaml:"write" json:"write"`     // 写入超时
}
